clone:
  git:
    image: plugins/git
    depth: 1

pipeline:
  signed-off-check:
    image: nextcloudci/php7.0:php7.0-2
    environment:
      - APP_NAME=3rdparty
      - CORE_BRANCH=master
      - DB=sqlite
    commands:
      - wget https://raw.githubusercontent.com/nextcloud/travis_ci/master/before_install.sh
      - bash ./before_install.sh $APP_NAME $CORE_BRANCH $DB
      - cd ../server
      - php ./build/signed-off-checker.php
    when:
      matrix:
        TESTS: signed-off-check
matrix:
  include:
    - TESTS: signed-off-check

branches: [ master, stable* ]

